Bug 1311553 - python-django-pylibmc: Provide a Python 3 subpackage
Summary: python-django-pylibmc: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-pylibmc
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Praveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-02-24 12:59 UTC by Tomas Orsava
Modified: 2016-09-07 11:08 UTC (History)
6 users (show)

Fixed In Version: python-django-pylibmc-0.6.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 11:08:42 UTC


Attachments (Terms of Use)
Spec file patch to provide Python 3 subpackage (4.13 KB, patch)
2016-07-30 08:31 UTC, Jan Beran
no flags Details | Diff
Updated spec file: modernized %prep section (4.10 KB, patch)
2016-08-07 07:32 UTC, Jan Beran
no flags Details | Diff

Description Tomas Orsava 2016-02-24 12:59:31 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Petr Viktorin 2016-04-19 13:31:20 UTC
Praveen, do you need any help with adding support for Python 3?

Comment 2 Praveen Kumar 2016-05-16 16:25:53 UTC
@Petr I apologize for a long delay response but if you want to co-maintain this package I am happy to provide you access. otherwise I will update it in on coming weekend.

Comment 3 Petr Viktorin 2016-05-17 08:33:55 UTC
Hi,
There are many packages that need this update, so if you find time to do it, it would help a lot. Also, it's best done by someone who's familiar with the package.

If you need more assistance, you can look at the RPM porting guide [0], or ask – I'll be happy to help or improve any unclear parts of the guide.

[0] http://python-rpm-porting.readthedocs.io

Comment 4 Jan Kurik 2016-07-26 04:31:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Jan Beran 2016-07-30 08:31:50 UTC
Created attachment 1185746 [details]
Spec file patch to provide Python 3 subpackage

Changes in the spec file:
- update to version 0.6.1
- url and source update
- modernized spec file with Python 3 packaging
- %changelog correction to avoid a following error:

$ rpmlint python-django-pylibmc.spec
python-django-pylibmc.spec: E: specfile-error warning: bogus date in %changelog: Thu Jun 09 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.3-1.20120609git28874f
0 packages and 1 specfiles checked; 1 errors, 0 warnings.

Comment 6 Jan Beran 2016-08-07 07:32:58 UTC
Created attachment 1188351 [details]
Updated spec file: modernized %prep section

Comment 7 Lumír Balhar 2016-08-15 10:14:50 UTC
Hello.

New specfile looks good to me. If maintainer has nothing against, we can push it after a week.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15265590

Comment 8 Praveen Kumar 2016-08-23 12:09:58 UTC
specfile changes looks good to me. Thanks for porting this package for python3.


Note You need to log in before you can comment on or make changes to this bug.